Get channel

Prev Next

Available in Classic and VPC

Get channel information of an Alim Talk channel.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /alimtalk/v2/services/{serviceId}/channels

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Biz Message service ID

Request example

The request example is as follows:

curl --location --request GET 'https://sens.apigw.ntruss.com/alimtalk/v2/services/ncp:kkobizmsg:kr:27*********6:sens/channels' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' 

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
createTime String Required Channel creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
updateTime String Optional Channel modification date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
serviceId String Required Biz Message service ID
channelId String Required Channel ID
channelName String Required Channel name
channelStatus String Required Channel status
  • ACTIVE | DELETED | DELETING_PERMANETLY | PERMANENTLY_DELETED | BLOCKED | PENDING_DELETE
    • ACTIVE: Normal
    • DELETED: Deleted
    • DELETING_PERMANETLY: Deleting permanently
    • PERMANENTLY_DELETED: Permanently deleted
    • BLOCKED: Blocked
    • PENDING_DELETE: Pending deletion
useSmsFailover Boolean Required Whether to set up SMS alternate delivery
  • true | false
    • true: Enable
    • false: Disable
failoverServiceId String Optional SMS service ID used for alternative delivery
failoverTelNo String Optional Caller ID
isBlock Boolean Required Channel blocking status
isDormant Boolean Required Channel dormancy status

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

[
    {
        "createTime": "2025-11-25T09:53:21.365",
        "updateTime": "2025-11-25T09:58:23.200",
        "serviceId": "ncp:kkobizmsg:kr:27*********6:sens",
        "channelId": "@******",
        "channelName": "******",
        "channelStatus": "ACTIVE",
        "useSmsFailover": true,
        "failoverServiceId": "ncp:sms:kr:27*********6:sens",
        "failoverTelNo": "010********",
        "isBlock": false,
        "isDormant": false
    }
]